Package org.apache.lucene.codecs.uniformsplit

# Class FieldMetadata.Serializer

java.lang.Object
org.apache.lucene.codecs.uniformsplit.FieldMetadata.Serializer

Enclosing class:
  `FieldMetadata`

public static class FieldMetadata.Serializer extends Object
Reads/writes field metadata.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FieldMetadata.Serializer`
  `INSTANCE`
  Stateless singleton.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Serializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FieldMetadata`
  `read(DataInput input, FieldInfos fieldInfos, int maxNumDocs)`
  `void`
  `write(DataOutput output, FieldMetadata fieldMetadata)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INSTANCE

    public static final FieldMetadata.Serializer INSTANCE
    Stateless singleton.

- ## Constructor Details

  - ### Serializer

    public Serializer()

- ## Method Details

  - ### write

    public void write(DataOutput output, FieldMetadata fieldMetadata) throws IOException
    Throws:
      `IOException`

  - ### read

    public FieldMetadata read(DataInput input, FieldInfos fieldInfos, int maxNumDocs) throws IOException
    Throws:
      `IOException`